| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# NTuple::ColumnWiseTuple Class Reference

`#include <NTupleImplementation.h>`

Inheritance diagram for NTuple::ColumnWiseTuple:

[legend]
Collaboration diagram for NTuple::ColumnWiseTuple:

[legend]
List of all members.

## Detailed Description

Definition at line 115 of file NTupleImplementation.h.

## Public Member Functions
| ColumnWiseTuple (const std::string &title)
| Standard Constructor.
virtual | ~ColumnWiseTuple ()
| Standard Destructor.
virtual const CLID & | clID () const
| Retrieve Reference to class defininition structure.
## Static Public Member Functions
static const CLID & | classID ()
| Static access to class defininition structure.

## Constructor & Destructor Documentation

NTuple::ColumnWiseTuple::ColumnWiseTuple | ( | const std::string & | title | ) | `[inline]`

Standard Constructor.

Definition at line 118 of file NTupleImplementation.h.

    00118                                              : TupleImp(title)    {
    00119     }

virtual NTuple::ColumnWiseTuple::~ColumnWiseTuple | ( |  | ) | `[inline, virtual]`

Standard Destructor.

Definition at line 121 of file NTupleImplementation.h.

    00121                                  {
    00122     }

## Member Function Documentation

virtual const CLID& NTuple::ColumnWiseTuple::clID | ( |  | ) | const`[inline, virtual]`

Retrieve Reference to class defininition structure.

Reimplemented from DataObject.

Definition at line 124 of file NTupleImplementation.h.

References classID().

    00124                                        {
    00125       return ColumnWiseTuple::classID();
    00126     }

static const CLID& NTuple::ColumnWiseTuple::classID | ( |  | ) | `[inline, static]`

Static access to class defininition structure.

Reimplemented from DataObject.

Definition at line 128 of file NTupleImplementation.h.

References CLID_ColumnWiseTuple.

Referenced by clID().

    00128                                       {
    00129       return CLID_ColumnWiseTuple;
    00130     }

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/NTupleImplementation.h